%global         momorel 1

Name:           perl-common-sense
Version:        3.74
Release:        %{momorel}m%{?dist}
Summary:        common::sense Perl module
License:        "Distributable, see LICENSE"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/common-sense/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/common-sense-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
# supposed to be the same, with much lower memory usage, as:
#
# use utf8; use strict qw(vars subs); use feature qw(say state switch); no
# warnings; use warnings qw(FATAL closed threads internal debugging pack
# portable prototype inplace io pipe unpack malloc
# deprecated glob digit printf layer                reserved taint closure
# semicolon); no warnings qw(exec newline unopened);

%prep
%setup -q -n common-sense-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/common
%{_mandir}/man3/*

%changelog
* Sun Nov 06 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (3.74-1m)
- update to 3.74

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (3.73-1m)
- rebuild against perl-5.20.0
- update to 3.73

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (3.72-3m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (3.72-2m)
- rebuild against perl-5.18.1

* Sat Aug  3 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (3.72-1m)
- update to 3.72

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-5m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-1m)
- update to 3.6
- rebuild against perl-5.16.0

* Sun Mar 25 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5-1m)
- update to 3.5

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.4-2m)
- rebuild for new GCC 4.6

* Fri Jan 14 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.4-1m)
- update to 3.4

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.3-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.3-2m)
- full rebuild for mo7 release

* Sat Jul  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.3-1m)
- update to 3.3

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2-2m)
- rebuild against perl-5.12.1

* Sun Apr 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.2-1m)
- update to 3.2

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-2m)
- rebuild against perl-5.12.0

* Tue Apr  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.1-1m)
- update to 3.1

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0-1m)
- update to 3.0

* Fri Dec 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.03-1m)
- update to 2.03

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.02-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Nov  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.02-1m)
- update to 2.02

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.01-1m)
- update to 2.01

* Sat Sep  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-1m)
- update to 2.0

* Thu Aug 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-2m)
- rebuild against perl-5.10.1

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-1m)
- update to 0.04

* Mon Jul 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
